Win a copy of Functional Reactive Programming this week in the Other Languages forum!
  • Post Reply
  • Bookmark Topic Watch Topic
  • New Topic

swing package

 
deepak mehta
Greenhorn
Posts: 15
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
hello group members
sir i am using the version 1.1.8 of java.i required the swing package but it display the message again and agin that there is no swing class.
please sir refer me the path where can i get this package
 
K Riaz
Ranch Hand
Posts: 375
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Swing is part of the JDK. If you have that, and have imported the swing libraries in your java class, then you shouldn't have a problem. The latest version of the JDK is 1.4.2

http://java.sun.com/j2se/
 
Jeroen Wenting
Ranch Hand
Posts: 5093
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
iow, upgrade your compiler to the latest version (currently 1.5).
Swing was an optional package in 1.1, became standardised in 1.2.
 
  • Post Reply
  • Bookmark Topic Watch Topic
  • New Topic